Subject: Re: [RFC/PATCH] powerpc: Rewrite IO allocation & mapping on powerpc64

From: Segher Boessenkool <[email-masked]>
Date: Mon, 14 May 2007 17:04:02 +0200

> Do you think it's ok to not treat the range between 64k and 1M special?
> There might be ISA drivers that expect devices in there.

ISA I/O space is 16-bit addressing only.

> Maybe we should
> start PHB_IO_BASE after a 1M guard area where nothing is mapped.

This can cause problems, many PCI bridges and devices
don't decode all 32 bits of the legacy I/O address space.

> Where should Olof's PCMCIA space go? The ISA or the PHB range?

It uses the legacy IDE I/O addresses, so it needs to
go to the 64kB space.  It isn't ISA though.

Segher